# Create Entity-Datatable Checks

`POST /lokta-lms/api/v1/entityDatatableChecks`

Creates a check that requires a data table entry before an entity can move to a given status.

Mandatory Fields : 
entity, status, datatableName

Non-Mandatory Fields : 
productId

## Request body (application/json)
- `datatableName` (string)
- `entity` (string)
- `productId` (integer)
- `status` (integer)

## Responses
- `200`: OK

## Response fields
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/entityDatatableChecks' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "datatableName": "Additional Details",
  "entity": "l_loan",
  "productId": 1,
  "status": 100
}'
```

## Example response
```json
{
  "resourceId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/createEntityDatatableCheck
